<?php

namespace modules\selfserve\helpers;

enum selfserve_lane_mode
{
    case MANUAL; // The wash is in manual mode (Machine is disabled)
    case AUTOMATIC; // The wash is in automatic mode (Machine is enabled, provided the lane supports it)

    public function equals(selfserve_lane_mode $mode): bool
    {
        return $this === $mode;
    }
}
